Skip to content

Employees


List all Employees

GET
/employees

Returns a list of employees. By default, non-archived employees are returned, sorted by code ascending.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

term

Fuzzy search by: code, name, email

Typestring
code

Filter by code (exact)

Typestring
position

Filter by position

Typearray
plantId

Filter by plant id

Typeinteger
Format"int32"
includeArchived

Include archived employees

Typeboolean
Defaultfalse
id

Filter by given list of id's

Typearray
createdAt
Typeobject
updatedAt
Typeobject
sort

Sorting property

Typestring
Valid values
"code""name""city""state"
Default"code"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

Success

application/json
JSON
[
]

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Get specified Employee

GET
/employees/{id}

Returns a full details of the Employee with given id.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring

Path Parameters

id*

The identifier of the specified employee.

Typestring
Required

Responses

Success

application/json
JSON
{
"id": "string",
"code": "string",
"name": "string",
"divisionId": "string",
"plantId": "string",
"defaultTruckId": "string",
"isArchived": true,
"position": [
"string"
],
"payroll": "string",
"email": "string",
"address": "string",
"city": "string",
"state": "string",
"country": "string",
"postalCode": "string",
"phoneNumber": "string",
"phoneExtension": "string",
"fax": "string"
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python